> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Paginated

> Get paginated filtered metadata based on conditions.

## Request Body

| Field                 | Type                  | Description                                                                  |
|-----------------------|-----------------------|------------------------------------------------------------------------------|
| `data_connector_name` | `str`                 | Name of the data connector (vector database profile).                        |
| `dataslice_id`        | `Optional[str]`       | ID of the dataslice to get files from.                                       |
| `tag_names`           | `Optional[List[str]]` | List of tag names to include in the metadata.                                |
| `include_chunk_level` | `Optional[bool]`      | Whether to include chunk-level metadata. Default: `true`                     |
| `offset`              | `Optional[int]`       | Pagination offset to start from. Default: `0`                                |
| `limit`               | `Optional[int]`       | Maximum number of metadata items to return. Default: `50`                    |
| `include_last_updated`| `Optional[bool]`      | Whether to include the last updated timestamp. Default: `false`              |

## Response

- **200**: Metadata retrieved successfully  
    - Returns: `{ "metadata": Deasy_Metadata, "next_offset": Optional[int] }`
- **500**: Internal Server Error

## Example

```json
{
  "data_connector_name": "my-connector",
  "dataslice_id": "abc123",
  "tag_names": ["category", "date"],
  "include_chunk_level": true,
  "offset": 0,
  "limit": 50
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /metadata/list_paginated
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /metadata/list_paginated:
    post:
      tags:
        - Metadata
      summary: List Paginated
      description: >-
        Get paginated filtered metadata based on conditions.


        ## Request Body


        | Field                 | Type                  |
        Description                                                                 
        |

        |-----------------------|-----------------------|------------------------------------------------------------------------------|

        | `data_connector_name` | `str`                 | Name of the data
        connector (vector database profile).                        |

        | `dataslice_id`        | `Optional[str]`       | ID of the dataslice to
        get files from.                                       |

        | `tag_names`           | `Optional[List[str]]` | List of tag names to
        include in the metadata.                                |

        | `include_chunk_level` | `Optional[bool]`      | Whether to include
        chunk-level metadata. Default: `true`                     |

        | `offset`              | `Optional[int]`       | Pagination offset to
        start from. Default: `0`                                |

        | `limit`               | `Optional[int]`       | Maximum number of
        metadata items to return. Default: `50`                    |

        | `include_last_updated`| `Optional[bool]`      | Whether to include the
        last updated timestamp. Default: `false`              |


        ## Response


        - **200**: Metadata retrieved successfully  
            - Returns: `{ "metadata": Deasy_Metadata, "next_offset": Optional[int] }`
        - **500**: Internal Server Error


        ## Example


        ```json

        {
          "data_connector_name": "my-connector",
          "dataslice_id": "abc123",
          "tag_names": ["category", "date"],
          "include_chunk_level": true,
          "offset": 0,
          "limit": 50
        }

        ```
      operationId: list_paginated_metadata_route_metadata_list_paginated_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPaginatedMetadataRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaginatedMetadataResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.metadata.list_paginated(
                data_connector_name="data_connector_name",
            )
            print(response.metadata)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const response = await client.metadata.listPaginated({
              data_connector_name: 'data_connector_name',
            });

            console.log(response.metadata);
components:
  schemas:
    ListPaginatedMetadataRequest:
      properties:
        data_connector_name:
          type: string
          title: Data Connector Name
        dataslice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataslice Id
        tag_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tag Names
        include_chunk_level:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Include Chunk Level
          default: true
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
          default: 0
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
          default: 50
        include_last_updated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Include Last Updated
          default: false
      type: object
      required:
        - data_connector_name
      title: ListPaginatedMetadataRequest
    ListPaginatedMetadataResponse:
      properties:
        metadata:
          anyOf:
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/TagMetadata'
                type: object
              type: object
              title: MetadataByTagAndChunk
            - additionalProperties:
                additionalProperties:
                  $ref: '#/components/schemas/Metadata'
                type: object
              type: object
              title: MetadataByChunk
          title: Metadata
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
      type: object
      required:
        - metadata
        - next_offset
      title: ListPaginatedMetadataResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TagMetadata:
      properties:
        chunk_level:
          anyOf:
            - additionalProperties:
                anyOf:
                  - $ref: '#/components/schemas/Metadata'
                  - type: 'null'
              type: object
            - type: 'null'
          title: Chunk Level
        file_level:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      title: TagMetadata
    Metadata:
      properties:
        values:
          items:
            anyOf:
              - type: string
              - type: number
              - type: integer
          type: array
          title: Values
        evidence:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence
      type: object
      required:
        - values
      title: Metadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````